Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

Is there an ootb way to make RTE / Multieditor required on a Content Fragment in AEM 6.5?

surenk
Level 4
Level 4

 

Is there an out-of-the-box option to make `sling:resourceType="dam/cfm/admin/components/authoring/contenteditor/multieditor"` as "required", that we are using on a content fragment in AEM 6.5? 

Screen Shot 2020-08-25 at 1.53.00 PM.png

 

 

 

<_x0031_589920765450
jcr:primaryType="nt:unstructured"
sling:resourceType="dam/cfm/admin/components/authoring/contenteditor/multieditor"
cfm-element="Header"
default-mime-type="text/html"
listOrder="3"
metaType="text-multi"
name="title"
renderReadOnly="false"
showEmptyInReadOnly="true"
valueType="string"/>

  

We are not able to use "required=true" 

 

Found a custom solution http://experience-aem.blogspot.com/2018/10/aem-6420-assets-content-fragments-coral-3-composite-multi... but do not want to implement.

Topics

Topics help categorize Community content and increase your ability to discover relevant content.

1 Accepted Solution
SundeepKatepally
Correct answer by
Level 5
Level 5

There is no OOTB way. Only option is to customize. 

View solution in original post

1 Reply
SundeepKatepally
Correct answer by
Level 5
Level 5

There is no OOTB way. Only option is to customize. 

View solution in original post